/* 
 * This file is part of DesktopBSD, see the README file.
 *
 * Author: Peter Hofer <hofer.p@gmail.com>
 *         (C) 2004, 2005
 *
 * Copyright: BSD, see the COPYING file included in this distribution
 *
 */

#ifndef __BATTERYTRAY_H
#define __BATTERYTRAY_H

#include <qtimer.h>
#include <ksystemtray.h>
#include <qimage.h>

class BatteryTray : public KSystemTray {
   Q_OBJECT
   
public:
	BatteryTray();
   virtual	~BatteryTray();
   
public slots:
	virtual void	polish();
	
   void	updateStatus();

protected:
	virtual void mouseDoubleClickEvent(QMouseEvent *e);

protected slots:
	virtual void openConfigDialog();
   
private:
	QTimer	*timer;
};

#endif /* __BATTERYTRAY_H */
